<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/app_nav"
    app:startDestination="@id/splashScreen">

    <fragment
        android:id="@+id/splashScreen"
        tools:layout="@layout/screen_splash"
        android:name="com.example.infoapp.presentation.screen.splash.SplashScreen"
        android:label="SplashScreen" >
        <action
            android:id="@+id/action_splashScreen_to_mainScreen"
            app:destination="@id/mainScreen"
            app:popUpTo="@id/splashScreen"
            app:popUpToInclusive="true" />
    </fragment>
    <fragment
        android:id="@+id/mainScreen"
        tools:layout="@layout/screen_main"
        android:name="com.example.infoapp.presentation.screen.main.MainScreen"
        android:label="MainScreen" >
        <action
            android:id="@+id/action_mainScreen_to_aboutScreen"
            app:destination="@id/aboutScreen"
            app:popUpTo="@id/mainScreen" />
        <action
            android:id="@+id/action_mainScreen_to_infoScreen"
            app:destination="@id/infoScreen"
            app:popUpTo="@id/mainScreen" />
    </fragment>
    <fragment
        android:id="@+id/aboutScreen"
        tools:layout="@layout/screen_about"
        android:name="com.example.infoapp.presentation.screen.about.AboutScreen"
        android:label="AboutScreen" >
        <argument
            android:name="img"
            app:argType="integer"
            android:defaultValue="0" />
        <argument
            android:name="name"
            app:argType="integer"
            android:defaultValue="0" />
        <argument
            android:name="text"
            app:argType="string"
            android:defaultValue='""' />
    </fragment>
    <fragment
        android:id="@+id/infoScreen"
        tools:layout="@layout/screen_info"
        android:name="com.example.infoapp.presentation.screen.info.InfoScreen"
        android:label="InfoScreen" />
</navigation>